## com.ericsson.otp.ic
Class TermHolder

    java.lang.Object
      |
      +--com.ericsson.otp.ic.TermHolder

public final class TermHolder
extends java.lang.Object

Holder class for Term.

Field Summary
`Term` `value` Term instance variable.

Constructor Summary
`TermHolder()`
`TermHolder(Term initial)`

Method Summary
`void` `_marshal(com.ericsson.otp.erlang.OtpOutputStream out)` Marshal method for the TermHolder class, encodes the Term object value to the output stream.
`void` `_unmarshal(com.ericsson.otp.erlang.OtpInputStream in)` Unmarshal method for the TermHolder class, decodes a Term object from the output stream and assigns it to the Holder value field.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public Term value

  Term instance variable.

Constructor Detail

### TermHolder

    public TermHolder()

### TermHolder

    public TermHolder(Term initial)

Method Detail

### _marshal

    public void _marshal(com.ericsson.otp.erlang.OtpOutputStream out)
                  throws java.lang.Exception

  Marshal method for the TermHolder class, encodes the Term object value to the output stream.

### _unmarshal

    public void _unmarshal(com.ericsson.otp.erlang.OtpInputStream in)
                    throws java.lang.Exception

  Unmarshal method for the TermHolder class, decodes a Term object from the output stream and assigns it to the Holder value field.

Copyright © 1991-1999 Ericsson Utvecklings AB